﻿Type=Activity
Version=3
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: False
	#IncludeTitle: True
#End Region

'Activity module
Sub Process_Globals
Dim R,G,B,RGB As Int ' **** RGB is set on return
Dim Response As Boolean ' True = OK, False = Cancel
End Sub

Sub Globals
Dim Red As Int
Dim Green As Int
Dim Blue As Int
Dim bCancel As Button
Dim bOK As Button
Dim SeekBar1 As SeekBar
Dim SeekBar2 As SeekBar
Dim SeekBar3 As SeekBar
Dim Panel1 As Panel
Dim lTitle As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
Activity.LoadLayout("ColorLayout")
bOK.Text = "OK"
bCancel.Text = "Cancel"
SeekBar1.Max = 255
SeekBar2.Max = 255
SeekBar3.Max = 255
Red = 128
Green = 128
Blue = 128
Response = False
End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
End Sub

'Dialog can be started from this sub using callsubdelayed
Sub ShowColorDialog(Colour As Int)
Dim hStr As String
hStr = Bit.ToHexString(Colour)
Red = Bit.ParseInt(hStr.SubString2(2,4),16)
Green = Bit.ParseInt(hStr.SubString2(4,6),16)
Blue = Bit.ParseInt(hStr.SubString(6),16)
SeekBar1.Value = Red
SeekBar2.Value = Green
SeekBar3.Value = Blue
Panel1.Color = Colors.RGB(Red,Green,Blue)
End Sub

'Red seekbar
Sub SeekBar1_ValueChanged (Value As Int, UserChanged As Boolean)
If UserChanged = True Then
	Red = Value
	Panel1.Color = Colors.RGB(Value,Green,Blue)
End If
End Sub

'Green seekbar
Sub SeekBar2_ValueChanged (Value As Int, UserChanged As Boolean)
If UserChanged = True Then
	Green = Value
	Panel1.Color = Colors.RGB(Red,Value,Blue)	
End If
End Sub

'Blue seekbar
Sub SeekBar3_ValueChanged (Value As Int, UserChanged As Boolean)
If UserChanged = True Then
	Blue = Value
	Panel1.Color = Colors.RGB(Red,Green,Value)	
End If
End Sub

Sub bOK_Click
R = Red
G = Green
B = Blue
RGB = Colors.RGB(R,G,B)
Response = True
Activity.Finish
End Sub

Sub bCancel_Click
Response = False
Activity.Finish	
End Sub
