﻿Type=Activity
Version=3
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: True
	#IncludeTitle: False
#End Region

'Activity module
Sub Process_Globals
Dim Modified As Boolean
Dim GaugeTypes As List
Dim LastOp As Int ' Indicates why ColorDlg was called. for processing in resume
Dim ID As Int
End Sub

' Gets initial values from propvals and populates curgauge for return
Sub Globals
'Pass gauge properties to be operated on
Dim curGauge As Gauge
Dim th1 As TabHost
Dim bBackCol As Button
Dim cbBackTrans As CheckBox
Dim eTitle As EditText
Dim spType As Spinner
Dim bGaugeCol1 As Button
Dim bGaugeCol2 As Button
Dim bGaugeCol3 As Button
Dim bGaugeCol4 As Button
Dim cbGaugeMulti As CheckBox
Dim cbGaugeSingle As CheckBox
Dim bTextCol As Button
Dim lBlue As Label
Dim lGreen As Label
Dim lRed As Label
Dim pColor As Panel
Dim sbBlue As SeekBar
Dim sbGreen As SeekBar
Dim sbRed As SeekBar
End Sub

Sub Activity_Create(FirstTime As Boolean)
If FirstTime = True Then
	LastOp = 0
End If
Activity.LoadLayout("gprops")
th1.AddTab("Gauge Type","gaugeprops1")
th1.AddTab("Background","gaugeprops2")
th1.AddTab("Gauge","gaugeprops3")
th1.AddTab("Text","gaugeprops4")
Modified = False
End Sub

Sub ShowProps(aGauge As Gauge,gNum As Int)
curGauge = aGauge
ID = gNum
If curGauge.vMin < 0 Then
	GaugeTypes.Initialize2(Array As String("Simple","LED horizontal"))
Else
	GaugeTypes.Initialize2(Array As String("Simple","Arc","LED horizontal"))
End If
spType.AddAll(GaugeTypes)
spType.SelectedIndex = curGauge.GaugeType
If curGauge.BackCol = Colors.Transparent Then
	cbBackTrans.Checked = True
	bBackCol.Enabled = False
Else
	cbBackTrans.Checked = False
	bBackCol.Enabled = True
End If
bBackCol.Color = curGauge.BackCol
eTitle.Text = curGauge.Title
If curGauge.GaugeColSolid = True Then'single gauge color
	cbGaugeSingle.Checked = True
	cbGaugeMulti.Checked = False
	bGaugeCol1.Color = curGauge.GaugeCol  'curGauge.ColArr(0)
	bGaugeCol2.Color = Colors.DarkGray 'curGauge.ColArr(1)
	bGaugeCol2.Enabled = False
	bGaugeCol3.Color = Colors.DarkGray 'curGauge.ColArr(2)
	bGaugeCol3.Enabled = False
	bGaugeCol4.Color = Colors.DarkGray 'curGauge.ColArr(3)
	bGaugeCol4.Enabled = False
Else
	cbGaugeSingle.Checked = False
	cbGaugeMulti.Checked = True
	bGaugeCol1.Color = curGauge.ColArr(0)
	bGaugeCol2.Enabled = True
	bGaugeCol2.Color = curGauge.ColArr(1)
	bGaugeCol3.Enabled = True
	bGaugeCol3.Color = curGauge.ColArr(2)
	bGaugeCol4.Enabled = True
	bGaugeCol4.Color = curGauge.ColArr(3)
End If
bTextCol.Color = curGauge.BackCol
bTextCol.TextColor = curGauge.TextCol
End Sub

Sub Activity_Resume
If ColourChooser.Response = True Then
	Modified = True
	Select LastOp
		Case 1
			curGauge.BackCol = ColourChooser.RGB
			bBackCol.Color = ColourChooser.RGB
		Case 2
			curGauge.ColArr(3) = ColourChooser.RGB
			bGaugeCol4.Color = ColourChooser.RGB
		Case 3
			curGauge.ColArr(2) = ColourChooser.RGB
			bGaugeCol3.Color = ColourChooser.RGB
		Case 4
			curGauge.ColArr(1) = ColourChooser.RGB
			bGaugeCol2.Color = ColourChooser.RGB
		Case 5
			curGauge.ColArr(0) = ColourChooser.RGB
			curGauge.GaugeCol = ColourChooser.RGB
			bGaugeCol1.Color = ColourChooser.RGB
		Case 6
			bTextCol.TextColor = ColourChooser.RGB
			curGauge.TextCol = ColourChooser.RGB
	End Select
End If
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub cbBackTrans_CheckedChange(Checked As Boolean)
If Checked = False Then
	bBackCol.Enabled = True
Else 'Transparent
	curGauge.BackCol = Colors.Transparent
	bBackCol.Enabled = False
End If
Modified = True
End Sub

Sub bBackCol_Click
'CallSubDelayed2(ColourChooser,"ShowColorDialog",curGauge.BackCol)
ColorDlg(curGauge.BackCol,1)
End Sub

Sub spType_ItemClick (Position As Int, Value As Object)
curGauge.GaugeType = Position
Modified = True	
End Sub

Sub eTitle_TextChanged (Old As String, New As String)
If Old <> New Then
	curGauge.Title = New
	Modified = True	
End If
End Sub

'single color gauge
Sub cbGaugeSingle_CheckedChange(Checked As Boolean)
If Checked = True Then
	bGaugeCol1.Enabled = True
	bGaugeCol2.Enabled = False
	bGaugeCol3.Enabled = False
	bGaugeCol4.Enabled = False
	bGaugeCol2.Color = Colors.DarkGray
	bGaugeCol3.Color = Colors.DarkGray
	bGaugeCol4.Color = Colors.DarkGray
	curGauge.GaugeColSolid = True
	Modified = True
	cbGaugeMulti.Checked = False
End If
End Sub

'multicolor gauge
Sub cbGaugeMulti_CheckedChange(Checked As Boolean)
If Checked = True Then
	cbGaugeSingle.Checked = False
	bGaugeCol1.Enabled = True
	bGaugeCol2.Enabled = True
	bGaugeCol3.Enabled = True
	bGaugeCol4.Enabled = True
	bGaugeCol1.Color = curGauge.ColArr(0)
	bGaugeCol2.Color = curGauge.ColArr(1)
	bGaugeCol3.Color = curGauge.ColArr(2)
	bGaugeCol4.Color = curGauge.ColArr(3)
	curGauge.GaugeColSolid = False
	Modified = True
	cbGaugeSingle.Checked = False
End If
End Sub

Sub bGaugeCol4_Click
'CallSubDelayed2(ColourChooser,"ShowColorDialog",curGauge.ColArr(3))
ColorDlg(curGauge.ColArr(3),2)
End Sub

Sub bGaugeCol3_Click
ColorDlg(curGauge.ColArr(2),3)
End Sub

Sub bGaugeCol2_Click
ColorDlg(curGauge.ColArr(1),4)
End Sub

Sub bGaugeCol1_Click
ColorDlg(curGauge.ColArr(0),5)
End Sub

Sub bTextCol_Click
ColorDlg(curGauge.TextCol,6)
End Sub

Sub Activity_KeyPress(KeyCode As Int) As Boolean 'Return True to consume the event
Dim res As Int
If KeyCode = KeyCodes.KEYCODE_BACK Then
	If Modified Then
		res = Msgbox2("Save Changes?","Data Changed","Yes","No","",Null)
		If res = DialogResponse.CANCEL Then
			Modified = False
		End If
	End If
End If
End Sub

Sub ColorDlg(Colour As Int,Op As Int)
LastOp = Op
CallSubDelayed2(ColourChooser,"ShowColorDialog",Colour)
'ColourChooser.RGB = Colour
'StartActivity(ColourChooser)
End Sub


