﻿Type=Class
Version=3
@EndOfDesignText@
'Class module
Sub Class_Globals
Private DataList As List
Type Items(Key As String,Value As Boolean)
Dim Count As Int
End Sub

'Initializes the object.
'Implements a FIFO
Public Sub Initialize
DataList.Initialize
Count = 0
End Sub

'Adds item to the end. no duplicates
Public Sub Add(Key As String,Value As String)
Dim Item,temp As Items
temp.Initialize
For i = 0 To DataList.Size - 1
	temp = DataList.Get(i) ' if duplicate then return
	If temp.Key = Key AND temp.Value = Value Then Return
Next
Item.Initialize
Item.Key = Key
Item.Value = Value
DataList.Add(Item)
Count = DataList.Size
End Sub

Public Sub DeleteByIndex(Index As Int)
If DataList.Size < Index Then Return
DataList.RemoveAt(Index)
Count = DataList.Size
End Sub

Public Sub DeleteByKey(Key As String)
Dim temp As Items
temp.Initialize
For i = 0 To DataList.Size - 1
	temp = DataList.Get(i) ' look for key
	If temp.Key = Key Then DeleteByIndex(i)
Next
End Sub

'Gets the key at the top and
'places at the bottom if value is true
Public Sub Pop As String
Dim Item As Items
Item.Initialize
Item = DataList.Get(0)
DeleteByIndex(0)
If Item.Value = True Then Add(Item.Key,Item.Value)
Count = DataList.Size
Return Item.Key
End Sub

Public Sub Clear(Index As Int)
DataList.Clear
Count = DataList.Size
End Sub

