﻿Type=Class
Version=3
@EndOfDesignText@
'Class module
' Multiple PIDs
Sub Class_Globals
Dim pArray(10) As PID 'Array of PID,s
Private pList As List 'Contains PID,s as array of strings for LoadCSV
Dim Count As Int
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(pCount As Int)
Dim pArray(pCount) As PID
pList.Initialize
Count = 0
End Sub

'Load data from .csv file
'Set header to True if titles are used
Public Sub LoadFromFile(Dir As String,fName As String,Header As Boolean)
Dim su As StringUtils
Dim lTemp As List
Dim r As String
Count = 0
lTemp.Initialize
pList.Clear
If Header = True Then
	pList = su.LoadCSV2(Dir,fName,",",lTemp)
Else
	pList = su.LoadCSV(Dir,fName,",")
End If
Dim pArray(pList.Size) As PID
For i = 0 To pList.Size - 1
	Dim p As PID
	r = p.Initialize(pList.Get(i))
	If r = "1" Then
		pArray(Count) = p
		Count = Count + 1
	End If
Next
End Sub

