﻿Type=Activity
Version=3
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: False
	#IncludeTitle: True
#End Region

'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
Dim th1 As TabHost
	Dim bClear As Button
	Dim bRefresh As Button
	Dim lvFault As ListView
End Sub

Sub Activity_Create(FirstTime As Boolean)
OBDService.CurrentActivity = Me
th1.Initialize("th1")
Activity.AddView(th1,0,0,100%x,100%y)
th1.AddTab("Faults","diagscreen")
th1.AddTab("Tests","diagscreen2")
If OBDService.Connected = False Then
	CallSubDelayed2(OBDService,"Connect","")
Else
	CallSub2(OBDService,"Send","0101")' request number of trouble code
End If
End Sub

'0=Connect Fail 1=Enabling Admin 2=Admin Enabled 3=Connecting 4=Connected
'5=Admin Disabled 6=Disconnected 7=Devices ready
Sub OBD_ConnectStatus(Status As Int)
Select Status
	Case 0 
		ProgressDialogHide
		ToastMessageShow("Connect Fail",False)
	Case 1
		ProgressDialogShow2("Enabling Bluetooth",True)
	Case 2 
		ProgressDialogHide
		Connect(OBDService.LastConnected)
	Case 3 
		ProgressDialogShow2("Connecting",True)
	Case 4 
		ProgressDialogHide
		ToastMessageShow("Connected",False)
		If th1.CurrentTab = 0 Then
			CallSub2(OBDService,"Send","0101")' request number of trouble codes
		End If
	Case 6 
		ToastMessageShow("Disconnected",False)
	Case 7 
		Connect(OBDService.LastConnected)
End Select
End Sub

Sub Connect(Device As String)
Dim DeviceList As List
If Device.Length < 10 Then
	DeviceList.Initialize
	For I = 0 To OBDService.PairedDevices.Size - 1
		DeviceList.Add(OBDService.PairedDevices.GetKeyAt(I))
	Next
	Dim res As Int
	res = InputList(DeviceList, "Choose device", -1) 'show list with paired devices
	If res <> DialogResponse.CANCEL Then
		Device = OBDService.PairedDevices.Get(DeviceList.Get(res))
		If OBDService.LastConnected = Device Then
			If OBDService.Connected Then
				Return
			End If
		Else
			CallSub(OBDService,"DisConnect")
		End If
	Else
		Return
	End If
End If
CallSubDelayed2(OBDService,"Connect",Device)
End Sub

Sub OBD_NewData(Data() As String) ' Should have a complete reply in input
Dim l As Int
Dim id As Int
If Data(0) = "INFO" Then
	'Log(OBDService.LastTX)
	'Log(OBDService.LastRX)
Else ' its 
	l = Data.Length ' if its elm return data
	Dim InStr(l) As String
	InStr = Data
	' change second byte to dec to get PID
	id = Bit.ParseInt(InStr(1),16) ' convert str to dec
	Select id
		Case 1
	Log(OBDService.LastRX)
		Case 64
	Log(OBDService.LastRX)
		Case 96
	Log(OBDService.LastRX)
		Case Else
	End Select
End If
'Log("Received " & OBDService.LastRX)
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub th1_TabChanged
'Log(th1.CurrentTab)
End Sub

Sub lvFault_ItemClick (Position As Int, Value As Object)
	
End Sub

Sub bRefresh_Click
	
End Sub

Sub bClear_Click
	
End Sub