﻿Type=StaticCode
Version=3
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

'Height is taken from first char
Sub MaxTextSize(Text As String,cvs As Canvas, w As Int, h As Int) As Int
Dim x,y As Int
x = GetTextHeight(cvs,h,Text,Typeface.DEFAULT)
y = GetTextWidth(cvs,w,Text,Typeface.DEFAULT)
If x < y Then
	Return x
Else
	Return y
End If
End Sub

Sub GetTextHeight(BG As Canvas, DesiredHeight As Int, Text As String, theTypeface As Typeface) As Int
Dim temp,CurrentHeight As Int
CurrentHeight = 8
Do While temp < DesiredHeight
	CurrentHeight = CurrentHeight + 4
	temp = BG.MeasureStringHeight(Text, theTypeface, CurrentHeight)
Loop
Return CurrentHeight
End Sub

Sub GetTextWidth(BG As Canvas, DesiredWidth As Int, Text As String, theTypeface As Typeface) As Int
Dim temp As Int,CurrentWidth As Int
CurrentWidth = 8
Do While temp < DesiredWidth
	CurrentWidth = CurrentWidth + 4
	temp = BG.MeasureStringwidth(Text, theTypeface, CurrentWidth)
Loop
Return CurrentWidth
End Sub

Sub GetBinaryRep(ArrayOfBytes() As Byte) As List
Dim BitList As List
Dim res As Boolean
BitList.Initialize ' list to hold result
For i = 0 To ArrayOfBytes.Length - 1 ' for a,b,c and d bytes
	For x = 8 To 1 Step - 1
		res = GetBit(ArrayOfBytes(i),x)
		BitList.Add(res)
	Next
Next
Return BitList
End Sub

Sub GetBit(Bits As Int , BitNo As Int ) As Boolean 
Dim res As Boolean
res = Bit.AND(Bits,Power(2,(BitNo - 1)))/Power(2, (BitNo - 1))=1
Return res
End Sub

